Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class WFSFeatureType

    java.lang.Object
      org.deegree.ogcwebservices.wfs.capabilities.WFSFeatureType

    public class WFSFeatureType

extends Object

Represents a feature type in the context of an OGC-WFS 1.1.0 capabilities document.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`WFSFeatureType(QualifiedName name, String title, String abstract_, Keywords[] keywords, URI defaultSrs, URI[] otherSrs, Operation[] operations, FormatType[] outputFormats, Envelope[] wgs84BoundingBoxes, MetadataURL[] metadataUrls)` Creates a new instance of `WFSFeatureType` from the given parameters.

Method Summary
`String` | `getAbstract()`
`URI` | `getDefaultSRS()`
`Keywords[]` | `getKeywords()`
`MetadataURL[]` | `getMetadataUrls()`
`QualifiedName` | `getName()`
`Operation[]` | `getOperations()`
`URI[]` | `getOtherSrs()`
`FormatType` | `getOutputFormat(String name)` Returns the outputFormat with the given name.
`FormatType[]` | `getOutputFormats()`
`String` | `getTitle()`
`Envelope[]` | `getWgs84BoundingBoxes()`
`boolean` | `isVirtual()` Returns whether the feature type definition is virtual, i.e. all of it's output formats are processed using an (input) XSLT-script.
`void` | `setAbstract(String abstract_)`
`void` | `setDefaultSrs(URI defaultSrs)`
`void` | `setKeywords(Keywords[] keywords)`
`void` | `setMetadataUrls(MetadataURL[] metadataUrls)`
`void` | `setName(QualifiedName name)`
`void` | `setOperations(Operation[] operations)`
`void` | `setOtherSrs(URI[] otherSrs)`
`void` | `setOutputFormats(FormatType[] outputFormats)`
`void` | `setTitle(String title)`
`void` | `setWgs84BoundingBoxes(Envelope[] wgs84BoundingBoxes)`
`boolean` | `supportsSrs(String srsName)` Returns whether the feature type supports the given spatial reference system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFSFeatureType

    public WFSFeatureType(QualifiedName name,
                          String title,
                          String abstract_,
                          Keywords[] keywords,
                          URI defaultSrs,
                          URI[] otherSrs,
                          Operation[] operations,
                          FormatType[] outputFormats,
                          Envelope[] wgs84BoundingBoxes,
                          MetadataURL[] metadataUrls)

  Creates a new instance of `WFSFeatureType` from the given parameters.

  Parameters:
    `name` -
    `title` -
    `abstract_` -
    `keywords` -
    `defaultSrs` -
    `otherSrs` -
    `operations` -
    `outputFormats` -
    `wgs84BoundingBoxes` -
    `metadataUrls` -

Method Detail

### getAbstract

    public String getAbstract()

  Returns:
    Returns the abstract.

### setAbstract

    public void setAbstract(String abstract_)

  Parameters:
    `abstract_` - The abstract to set.

### getName

    public QualifiedName getName()

  Returns:
    Returns the name.

### setName

    public void setName(QualifiedName name)

  Parameters:
    `name` - The name to set.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - The title to set.

### getKeywords

    public Keywords[] getKeywords()

  Returns:
    Returns the keywords.

### setKeywords

    public void setKeywords(Keywords[] keywords)

  Parameters:
    `keywords` - The keywords to set.

### getDefaultSRS

    public URI getDefaultSRS()

  Returns:
    Returns the defaultSrs.

### setDefaultSrs

    public void setDefaultSrs(URI defaultSrs)

  Parameters:
    `defaultSrs` - The defaultSrs to set.

### getOtherSrs

    public URI[] getOtherSrs()

  Returns:
    Returns the otherSrs.

### setOtherSrs

    public void setOtherSrs(URI[] otherSrs)

  Parameters:
    `otherSrs` - The otherSrs to set.

### getOperations

    public Operation[] getOperations()

  Returns:
    Returns the operations.

### setOperations

    public void setOperations(Operation[] operations)

  Parameters:
    `operations` - The operations to set.

### getOutputFormats

    public FormatType[] getOutputFormats()

  Returns:
    Returns the outputFormats.

### getOutputFormat

    public FormatType getOutputFormat(String name)

  Returns the outputFormat with the given name.

  Parameters:
    `name` - name of requested format
  Returns:
    the outputFormat with the given name if it exists, null otherwise

### setOutputFormats

    public void setOutputFormats(FormatType[] outputFormats)

  Parameters:
    `outputFormats` - The outputFormats to set.

### getWgs84BoundingBoxes

    public Envelope[] getWgs84BoundingBoxes()

  Returns:
    Returns the wgs84BoundingBoxes.

### setWgs84BoundingBoxes

    public void setWgs84BoundingBoxes(Envelope[] wgs84BoundingBoxes)

  Parameters:
    `wgs84BoundingBoxes` - The wgs84BoundingBoxes to set.

### getMetadataUrls

    public MetadataURL[] getMetadataUrls()

  Returns:
    Returns the metadataUrls.

### setMetadataUrls

    public void setMetadataUrls(MetadataURL[] metadataUrls)

  Parameters:
    `metadataUrls` - The metadataUrls to set.

### isVirtual

    public boolean isVirtual()

  Returns whether the feature type definition is virtual, i.e. all of it's output formats are processed using an (input) XSLT-script.

  Returns:
    true, if all formats are processed using an XSL input script

### supportsSrs

    public boolean supportsSrs(String srsName)

  Returns whether the feature type supports the given spatial reference system.

  Parameters:
    `srsName` - name of the srs, usually `EPSG:xyz`
  Returns:
    true, if srs is supported, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org